commit:     aeb79da4b40c761c2b83a54f11747829934a1704
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  7 04:38:07 2015 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 04:40:56 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gentoo-guis.git/commit/?id=aeb79da4

Remove obsolete portage ebuild and ChangeLog

 sys-apps/portage/ChangeLog           |  11 --
 sys-apps/portage/Manifest            |   2 -
 sys-apps/portage/portage-8888.ebuild | 361 -----------------------------------
 3 files changed, 374 deletions(-)

diff --git a/sys-apps/portage/ChangeLog b/sys-apps/portage/ChangeLog
deleted file mode 100644
index 40bd0fe..0000000
--- a/sys-apps/portage/ChangeLog
+++ /dev/null
@@ -1,11 +0,0 @@
-# ChangeLog for sys-apps/portage
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header:                                                                     
                              Exp $
-
-  27 May 2011; Brian Dolbec <[email protected]> portage-8888.ebuild:
-  update portage-8888.ebuild to the latest-9999.ebuild changes
-
-*portage-8888 (1 Aug 2010)
-
-  1 Aug 2010; Brian Dolbec <[email protected]>  +portage-8888.ebuild:
-  initial copy/edit of the portage-9999.ebuild for the public_api development 
branch

diff --git a/sys-apps/portage/Manifest b/sys-apps/portage/Manifest
deleted file mode 100644
index ec1bbe2..0000000
--- a/sys-apps/portage/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-EBUILD portage-8888.ebuild 11310 SHA256 
f998fc46bb5107bd617030d2c22563dcf20670df886374a5073a2d4350cc652f SHA512 
ce61e769e9f25b10bfe3216813d4e491dde8b44d7731e2f52a72cf3dea0456493856741eadb70036513bb4f8e1291e08b12046cfadf72433f93f71a6a9620ae6
 WHIRLPOOL 
70f158f622993104b87e77e9a1bb016585b9a70f3be69caf349500d18d74aaad67b7b419c1f8a071f728dd777bcf46358b1f119dd8e84ee2709e9df4119daef9
-MISC ChangeLog 545 SHA256 
c1ab253bed90e25c5094fa10decde8f5dd9f7281c4d0743179a7f9887268850a SHA512 
9055a72001545c6fb5521fd188582d802234b93af2ecaebfdfd78878c367db3daff37cbb2f8b20429c40d85f5787995879caa2819120221f99160efe66a71065
 WHIRLPOOL 
ea45e1e8a97f9f1e8bb29f91b1b6b94973aeb80661889318a56e45b1f5176ec171acdef0a35990db4651db210575bcd3b5d82058d8ee08d227c2db9ea3d5abad

diff --git a/sys-apps/portage/portage-8888.ebuild 
b/sys-apps/portage/portage-8888.ebuild
deleted file mode 100644
index 07c41a6..0000000
--- a/sys-apps/portage/portage-8888.ebuild
+++ /dev/null
@@ -1,361 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-8888.ebuild,v 1.23 
2011/05/26  dol-sen Exp $
-
-# Require EAPI 2 since we now require at least python-2.6 (for python 3
-# syntax support) which also requires EAPI 2.
-EAPI=2
-EGIT_BRANCH="public_api"
-inherit git-2 eutils multilib python
-
-DESCRIPTION="Portage is the package management and distribution system for 
Gentoo"
-HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml";
-LICENSE="GPL-2"
-KEYWORDS=""
-PROVIDE="virtual/portage"
-SLOT="0"
-IUSE="build doc epydoc +ipc python2 python3 selinux"
-
-python_dep="python3? ( =dev-lang/python-3* )
-       !python2? ( !python3? (
-               build? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 ) )
-               !build? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 
>=dev-lang/python-3 ) )
-       ) )
-       python2? ( !python3? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 ) ) 
)"
-
-# The pysqlite blocker is for bug #282760.
-DEPEND="${python_dep}
-       !build? ( >=sys-apps/sed-4.0.5 )
-       doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
-       epydoc? ( >=dev-python/epydoc-2.0 !<=dev-python/pysqlite-2.4.1 )"
-# Require sandbox-2.2 for bug #288863.
-RDEPEND="${python_dep}
-       !build? ( >=sys-apps/sed-4.0.5
-               >=app-shells/bash-3.2_p17
-               >=app-admin/eselect-1.2 )
-       elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
-       elibc_glibc? ( >=sys-apps/sandbox-2.2 )
-       elibc_uclibc? ( >=sys-apps/sandbox-2.2 )
-       >=app-misc/pax-utils-0.1.17
-       selinux? ( || ( >=sys-libs/libselinux-2.0.94[python] 
<sys-libs/libselinux-2.0.94 ) )
-       !<app-shells/bash-3.2_p17
-       !app-portage/portage-public-api"
-PDEPEND="
-       !build? (
-               >=net-misc/rsync-2.6.4
-               userland_GNU? ( >=sys-apps/coreutils-6.4 )
-       )"
-# coreutils-6.4 rdep is for date format in emerge-webrsync #164532
-# rsync-2.6.4 rdep is for the --filter option #167668
-
-SRC_ARCHIVES="http://dev.gentoo.org/~zmedico/portage/archives";
-
-prefix_src_archives() {
-       local x y
-       for x in ${@}; do
-               for y in ${SRC_ARCHIVES}; do
-                       echo ${y}/${x}
-               done
-       done
-}
-
-EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/portage"
-S="${WORKDIR}"/${PN}
-
-compatible_python_is_selected() {
-       [[ $(/usr/bin/python -c 'import sys ; sys.stdout.write(sys.hexversion 
>= 0x2060000 and "good" or "bad")') = good ]]
-}
-
-pkg_setup() {
-       # Bug #359731 - Die early if get_libdir fails.
-       [[ -z $(get_libdir) ]] && \
-               die "get_libdir returned an empty string"
-
-       if use python2 && use python3 ; then
-               ewarn "Both python2 and python3 USE flags are enabled, but only 
one"
-               ewarn "can be in the shebangs. Using python3."
-       fi
-       if ! use python2 && ! use python3 && ! compatible_python_is_selected ; 
then
-               ewarn "Attempting to select a compatible default python 
interpreter"
-               local x success=0
-               for x in /usr/bin/python2.* ; do
-                       x=${x#/usr/bin/python2.}
-                       if [[ $x -ge 6 ]] 2>/dev/null ; then
-                               eselect python set python2.$x
-                               if compatible_python_is_selected ; then
-                                       elog "Default python interpreter is now 
set to python-2.$x"
-                                       success=1
-                                       break
-                               fi
-                       fi
-               done
-               if [ $success != 1 ] ; then
-                       eerror "Unable to select a compatible default python 
interpreter!"
-                       die "This version of portage requires at least 
python-2.6 to be selected as the default python interpreter (see \`eselect 
python --help\`)."
-               fi
-       fi
-
-       if use python3; then
-               python_set_active_version 3
-       elif use python2; then
-               python_set_active_version 2
-       fi
-}
-
-src_prepare() {
-       local _version=$(cd "${S}/.git" && git describe --tags | sed -e 
's|-\([0-9]\+\)-.\+$|_p\1|')
-       _version=${_version:1}
-       einfo "Setting portage.VERSION to ${_version} ..."
-       sed -e "s/^VERSION=.*/VERSION='${_version}'/" -i 
pym/portage/__init__.py || \
-               die "Failed to patch portage.VERSION"
-       sed -e "1s/VERSION/${_version}/" -i doc/fragment/version || \
-               die "Failed to patch VERSION in doc/fragment/version"
-       sed -e "1s/VERSION/${_version}/" -i man/* || \
-               die "Failed to patch VERSION in man page headers"
-
-       if ! use ipc ; then
-               einfo "Disabling ipc..."
-               sed -e "s:_enable_ipc_daemon = True:_enable_ipc_daemon = 
False:" \
-                       -i pym/_emerge/AbstractEbuildProcess.py || \
-                       die "failed to patch AbstractEbuildProcess.py"
-       fi
-
-       if use python3; then
-               einfo "Converting shebangs for python3..."
-               python_convert_shebangs -r 3 .
-       elif use python2; then
-               einfo "Converting shebangs for python2..."
-               python_convert_shebangs -r 2 .
-       fi
-}
-
-src_compile() {
-       if use doc; then
-               cd "${S}"/doc
-               touch fragment/date
-               make xhtml xhtml-nochunks || die "failed to make docs"
-       fi
-
-       if use epydoc; then
-               einfo "Generating api docs"
-               mkdir "${WORKDIR}"/api
-               local my_modules epydoc_opts=""
-               my_modules="$(find "${S}/pym" -name "*.py" \
-                       | sed -e 's:/__init__.py$::' -e 's:\.py$::' -e 
"s:^${S}/pym/::" \
-                        -e 's:/:.:g' | sort)" || die "error listing modules"
-               # workaround for bug 282760
-               > "$S/pym/pysqlite2.py"
-               PYTHONPATH=${S}/pym:${PYTHONPATH:+:}${PYTHONPATH} \
-                       epydoc -o "${WORKDIR}"/api \
-                       -qqqqq --no-frames --show-imports $epydoc_opts \
-                       --name "${PN}" --url "${HOMEPAGE}" \
-                       ${my_modules} || die "epydoc failed"
-               rm "$S/pym/pysqlite2.py"
-       fi
-}
-
-src_test() {
-       ./runtests.sh || die "tests failed"
-}
-
-src_install() {
-       local libdir=$(get_libdir)
-       local portage_base="/usr/${libdir}/portage"
-       local portage_share_config=/usr/share/portage/config
-
-       cd "${S}"/cnf
-       insinto /etc
-       doins etc-update.conf dispatch-conf.conf || die
-
-       insinto "$portage_share_config/sets"
-       doins "$S"/cnf/sets/*.conf || die
-       insinto "$portage_share_config"
-       doins "$S/cnf/make.globals" || die
-       if [ -f "make.conf.${ARCH}".diff ]; then
-               patch make.conf "make.conf.${ARCH}".diff || \
-                       die "Failed to patch make.conf.example"
-               newins make.conf make.conf.example || die
-       else
-               eerror ""
-               eerror "Portage does not have an arch-specific configuration 
for this arch."
-               eerror "Please notify the arch maintainer about this issue. 
Using generic."
-               eerror ""
-               newins make.conf make.conf.example || die
-       fi
-
-       dosym ..${portage_share_config}/make.globals /etc/make.globals
-
-       insinto /etc/logrotate.d
-       doins "${S}"/cnf/logrotate.d/elog-save-summary || die
-
-       # BSD and OSX need a sed wrapper so that find/xargs work properly
-       if use userland_GNU; then
-               rm "${S}"/bin/ebuild-helpers/sed || die "Failed to remove sed 
wrapper"
-       fi
-
-       local x symlinks files
-
-       cd "$S" || die "cd failed"
-       for x in $(find bin -type d) ; do
-               exeinto $portage_base/$x || die "exeinto failed"
-               cd "$S"/$x || die "cd failed"
-               files=$(find . -mindepth 1 -maxdepth 1 -type f ! -type l)
-               if [ -n "$files" ] ; then
-                       doexe $files || die "doexe failed"
-               fi
-               symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
-               if [ -n "$symlinks" ] ; then
-                       cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
-               fi
-       done
-
-       cd "$S" || die "cd failed"
-       for x in $(find pym/* -type d) ; do
-               insinto $portage_base/$x || die "insinto failed"
-               cd "$S"/$x || die "cd failed"
-               # __pycache__ directories contain no py files
-               [[ "*.py" != $(echo *.py) ]] || continue
-               doins *.py || die "doins failed"
-               symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
-               if [ -n "$symlinks" ] ; then
-                       cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
-               fi
-       done
-
-       # Symlinks to directories cause up/downgrade issues and the use of these
-       # modules outside of portage is probably negligible.
-       for x in "${D}${portage_base}/pym/"{cache,elog_modules} ; do
-               [ ! -L "${x}" ] && continue
-               die "symlink to directory will cause upgrade/downgrade issues: 
'${x}'"
-       done
-
-       exeinto ${portage_base}/pym/portage/tests
-       doexe  "${S}"/pym/portage/tests/runTests
-
-       doman "${S}"/man/*.[0-9]
-
-       echo 'Producing ChangeLog from Git history...'
-       ( cd "${S}/.git" && git log > "${S}"/ChangeLog )
-       dodoc "${S}"/{ChangeLog,NEWS,RELEASE-NOTES} || die 'dodoc failed'
-       use doc && dohtml -r "${S}"/doc/*
-       use epydoc && dohtml -r "${WORKDIR}"/api
-
-       dodir /usr/bin
-       for x in ebuild egencache emerge portageq quickpkg repoman ; do
-               dosym ../${libdir}/portage/bin/${x} /usr/bin/${x}
-       done
-
-       dodir /usr/sbin
-       local my_syms="archive-conf
-               dispatch-conf
-               emaint
-               emerge-webrsync
-               env-update
-               etc-update
-               fixpackages
-               regenworld"
-       local x
-       for x in ${my_syms}; do
-               dosym ../${libdir}/portage/bin/${x} /usr/sbin/${x}
-       done
-       dosym env-update /usr/sbin/update-env
-       dosym etc-update /usr/sbin/update-etc
-
-       dodir /etc/portage
-       keepdir /etc/portage
-}
-
-pkg_preinst() {
-       if ! use build && ! has_version dev-python/pycrypto && \
-               ! has_version '>=dev-lang/python-2.6[ssl]' ; then
-               ewarn "If you are an ebuild developer and you plan to commit 
ebuilds"
-               ewarn "with this system then please install dev-python/pycrypto 
or"
-               ewarn "enable the ssl USE flag for >=dev-lang/python-2.6 in 
order"
-               ewarn "to enable RMD160 hash support."
-               ewarn "See bug #198398 for more information."
-       fi
-       if [ -f "${ROOT}/etc/make.globals" ]; then
-               rm "${ROOT}/etc/make.globals"
-       fi
-
-       has_version "<${CATEGORY}/${PN}-2.2_alpha"
-       MINOR_UPGRADE=$?
-
-       has_version "<=${CATEGORY}/${PN}-2.2_pre5"
-       WORLD_MIGRATION_UPGRADE=$?
-
-       # If portage-2.1.6 is installed and the preserved_libs_registry exists,
-       # assume that the NEEDED.ELF.2 files have already been generated.
-       has_version "<=${CATEGORY}/${PN}-2.2_pre7" && \
-               ! ( [ -e "$ROOT"var/lib/portage/preserved_libs_registry ] && \
-               has_version ">=${CATEGORY}/${PN}-2.1.6_rc" )
-       NEEDED_REBUILD_UPGRADE=$?
-
-       [[ -n $PORTDIR_OVERLAY ]] && has_version "<${CATEGORY}/${PN}-2.1.6.12"
-       REPO_LAYOUT_CONF_WARN=$?
-}
-
-pkg_postinst() {
-       # Compile all source files recursively. Any orphans
-       # will be identified and removed in postrm.
-       python_mod_optimize /usr/$(get_libdir)/portage/pym
-
-       if [ $WORLD_MIGRATION_UPGRADE = 0 ] ; then
-               einfo "moving set references from the worldfile into world_sets"
-               cd "${ROOT}/var/lib/portage/"
-               grep "^@" world >> world_sets
-               sed -i -e '/^@/d' world
-       fi
-
-       if [ $NEEDED_REBUILD_UPGRADE = 0 ] ; then
-               einfo "rebuilding NEEDED.ELF.2 files"
-               for cpv in "${ROOT}/var/db/pkg"/*/*; do
-                       if [ -f "${cpv}/NEEDED" ]; then
-                               rm -f "${cpv}/NEEDED.ELF.2"
-                               while read line; do
-                                       filename=${line% *}
-                                       needed=${line#* }
-                                       needed=${needed//+/++}
-                                       needed=${needed//#/##}
-                                       needed=${needed//%/%%}
-                                       newline=$(scanelf -BF 
"%a;%F;%S;%r;${needed}" $filename)
-                                       newline=${newline//  -  }
-                                       echo "${newline:3}" >> 
"${cpv}/NEEDED.ELF.2"
-                               done < "${cpv}/NEEDED"
-                       fi
-               done
-       fi
-
-       if [ $REPO_LAYOUT_CONF_WARN = 0 ] ; then
-               ewarn
-               echo "If you want overlay eclasses to override eclasses from" \
-                       "other repos then see the portage(5) man page" \
-                       "for information about the new layout.conf and 
repos.conf" \
-                       "configuration files." \
-                       | fmt -w 75 | while read -r ; do ewarn "$REPLY" ; done
-               ewarn
-       fi
-
-       einfo
-       einfo "For help with using portage please consult the Gentoo Handbook"
-       einfo "at http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3";
-       einfo
-
-       if [ $MINOR_UPGRADE = 0 ] ; then
-               elog "If you're upgrading from a pre-2.2 version of portage you 
might"
-               elog "want to remerge world (emerge -e world) to take full 
advantage"
-               elog "of some of the new features in 2.2."
-               elog "This is not required however for portage to function 
properly."
-               elog
-       fi
-
-       if [ -z "${PV/*_rc*}" ]; then
-               elog "If you always want to use the latest development version 
of portage"
-               elog "please read 
http://www.gentoo.org/proj/en/portage/doc/testing.xml";
-               elog
-       fi
-}
-
-pkg_postrm() {
-       python_mod_cleanup /usr/$(get_libdir)/portage/pym
-}

Reply via email to